> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflows

> Returns a list of workflows (faculty evaluation cycles)



## OpenAPI

````yaml /openapi.json get /api/v1/workflows
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/workflows:
    get:
      tags:
        - Workflows
      summary: List workflows
      description: Returns a list of workflows (faculty evaluation cycles)
      operationId: listWorkflows
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: >-
            Comma-separated list of relationships to include. Allowed:
            `department`, `definition`
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            Sort order. Prefix with `-` for descending. Allowed: `created_at`,
            `updated_at`, `id`, `name`, `begins_on`
          schema:
            type: string
        - name: filter[key]
          in: query
          required: false
          description: >-
            Filter results. Available filters: `category`, `name`, `name.neq`,
            `name.cont` (case-insensitive substring match), `name.in`
            (comma-separated list), `name.nin` (comma-separated list),
            `begins_on`, `begins_on.neq`, `begins_on.lt`, `begins_on.lte`,
            `begins_on.gt`, `begins_on.gte`, `ends_on`, `ends_on.neq`,
            `ends_on.lt`, `ends_on.lte`, `ends_on.gt`, `ends_on.gte`,
            `draft_mode` (boolean), `department`, `department.exists`,
            `definition`, `definition.exists`.
          schema:
            type: string
        - name: page[size]
          in: query
          required: false
          description: Number of items per page (max 100)
          schema:
            type: integer
        - name: page[after]
          in: query
          required: false
          description: Cursor for next page
          schema:
            type: string
        - name: page[before]
          in: query
          required: false
          description: Cursor for previous page
          schema:
            type: string
      responses:
        '200':
          description: workflows found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Workflow'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
                  links:
                    $ref: '#/components/schemas/PaginationLinks'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    Workflow:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: workflow
          example: workflow
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            name:
              type:
                - string
                - 'null'
            begins_on:
              type:
                - string
                - 'null'
              format: date
            ends_on:
              type:
                - string
                - 'null'
              format: date
            evaluation_period_start:
              type:
                - string
                - 'null'
              format: date
            evaluation_period_end:
              type:
                - string
                - 'null'
              format: date
            category:
              type:
                - string
                - 'null'
            draft_mode:
              type:
                - boolean
                - 'null'
            archived_at:
              type:
                - string
                - 'null'
              format: datetime
        relationships:
          type: object
          properties:
            department:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  oneOf:
                    - type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                          const: department
                          example: department
                        id:
                          type: string
                          format: uuid
                    - type: 'null'
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            definition:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  oneOf:
                    - type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                          const: workflow_definition
                          example: workflow_definition
                        id:
                          type: string
                          format: uuid
                    - type: 'null'
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    PaginationMeta:
      type: object
      properties:
        page:
          type: object
          properties:
            size:
              type: integer
        total:
          type: integer
    PaginationLinks:
      type: object
      properties:
        self:
          type: string
        first:
          type: string
        next:
          type:
            - string
            - 'null'
        prev:
          type:
            - string
            - 'null'
        last:
          type:
            - string
            - 'null'
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````